Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 185431 - com.sun.jdi.request.InvalidRequestStateException: breakpoint request org.netbeans.modules.profiler.oql.language.OQLCompletionProvider$1:259 (deleted)
com.sun.jdi.request.InvalidRequestStateException: breakpoint request org.netb...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
EXCEPTIONS_REPORT 69patch1-verified
:
Depends on:
Blocks: 186672 187445
  Show dependency treegraph
 
Reported: 2010-05-04 12:44 UTC by J Bachorik
Modified: 2010-07-16 07:28 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.04 KB, text/plain)
2010-05-04 12:44 UTC, J Bachorik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J Bachorik 2010-05-04 12:44:46 UTC
Build: NetBeans IDE 6.9 Beta (Build 201004200117)
VM: Java HotSpot(TM) 64-Bit Server VM, 16.3-b01, Java(TM) SE Runtime Environment, 1.6.0_20-b02
OS: Linux

User Comments:
yardus: fix&continue




Stacktrace: 
com.sun.jdi.request.InvalidRequestStateException: breakpoint request org.netbeans.modules.profiler.oql.language.OQLCompletionProvider$1:259 (deleted)
   at com.sun.tools.jdi.EventRequestManagerImpl$EventRequestImpl.invalidState(EventRequestManagerImpl.java:97)
   at com.sun.tools.jdi.EventRequestManagerImpl$EventRequestImpl.setEnabled(EventRequestManagerImpl.java:137)
   at com.sun.tools.jdi.EventRequestManagerImpl$EventRequestImpl.disable(EventRequestManagerImpl.java:132)
   at com.sun.tools.jdi.EventRequestManagerImpl$EventRequestImpl.delete(EventRequestManagerImpl.java:118)
   at com.sun.tools.jdi.EventRequestManagerImpl.deleteEventRequest(EventRequestManagerImpl.java:826)
   at org.netbeans.modules.debugger.jpda.jdi.request.EventRequestManagerWrapper.deleteEventRequest(EventRequestManagerWrapper.java:362)
Comment 1 J Bachorik 2010-05-04 12:44:50 UTC
Created attachment 98430 [details]
stacktrace
Comment 2 Martin Entlicher 2010-05-18 07:22:10 UTC
Fixed in changeset:   171387:df59fa0b7a46
http://hg.netbeans.org/main/rev/df59fa0b7a46
Comment 3 rbalada 2010-06-22 15:30:55 UTC
Please verify the bugfix asap.
Comment 4 rbalada 2010-06-22 15:40:54 UTC
I've prepared combined change in branch debugger_ports in release691 repository.
Comment 5 J Bachorik 2010-06-22 16:02:24 UTC
It was rather random issue for me. Haven't seen it for a while in trunk builds so marking as verified.
Comment 6 rbalada 2010-06-24 22:01:28 UTC
Integrated into release691 repository

changeset:   171795:24d02e38aa59
branch:      debugger_ports
user:        mentlicher@netbeans.org
date:        Mon May 17 21:43:43 2010 +0200
summary:     #185431 Assure that InvalidRequestStateException is caught.
Comment 7 Marian Mirilovic 2010-07-16 07:28:32 UTC
Verified in NetBeans IDE 6.9.1 Dev (Build 201007152301)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo